// fs_moodle汎用のJavascript

// クッキーの設定と画面のリロード（クッキーの有効期限は30日）
function fs_cookie_set_and_reload(name, value) {
    fs_cookie_set(name, value);
    window.location.reload();
}
// クッキーの削除と画面のリロード
function fs_cookie_kill_and_reload(name) {
    fs_cookie_kill(name);
    window.location.reload();
}

// クッキーの設定（クッキーの有効期限は30日）
function fs_cookie_set(name, value) {
    var fsc = new cookie("fs_" + name, value, 30, "/", "", "");
    fsc.set();
}
// クッキーの削除
function fs_cookie_kill(name) {
    var fsc = new cookie("fs_" + name, "", "", "/", "", "");
    fsc.kill();
}

function pdf2jpeg_set() {
    var pvalue, jvalue;
    pvalue = parseInt(document.p2jForm.PDFpage.value);
    jvalue = parseFloat(document.p2jForm.JPGratio.value);
    if (isNaN(pvalue)) pvalue = 1;
    if (isNaN(jvalue)) jvalue = 1.0;
    if (pvalue < 0) pvalue = 1; else pvalue = Math.floor(pvalue);
    if (jvalue < 0) jvalue = 1.0;
    var pdfpage  = new cookie("fs_pdfpage",  pvalue, 30, "/", "", "");
    var jpgratio = new cookie("fs_jpgratio", jvalue, 30, "/", "", "");
    pdfpage.set();
    jpgratio.set();
    window.location.reload();
}

// (Shirai158): fs_moodleでページフッターに追加したボタン類を隠す仕組みの追加 (2009/07/07)
function ChDsp(flg,ch){ 
    var obj=document.all && document.all(ch) || document.getElementById && document.getElementById(ch); 
    if(obj && obj.style){ 
        if(flg){ 
            obj.style.display = "block"; 
        } else { 
            obj.style.display = "none"; 
        } 
    } 
}

function switch_advancedmenu() {
    ChDsp(document.fs_advmenuForm.fs_advmenu_chkbox.checked, "fs_advmenu");
    if (document.fs_advmenuForm.fs_advmenu_chkbox.checked) {
        fs_cookie_set("disp_advmenu", true);
    } else {
        fs_cookie_kill("disp_advmenu");
    }
}
